//
// file			: _Main.c
// author	    : Ian Forse
// date			: 12-APR-2004
// purpose	: Demonstration of Display modes & ADC, selectable.
// includes 	: P16F877.h, Delays.h, PortBits.h, adc.c, mdm.c, mdm_demo.c
// notes     : 
// compiler  : FED PIC C Compiler 9.10
//
// Copyright (C) 2004 Ian Forse
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.

// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
// USA


#include <P16F877.h>	// Processor header
#__config 0x3F72
#include <delays.h>	// Data Library header
#include <PortBits.h>	// Bit library
#include "adc.c"
#include "mdm.c"
#include "mdm_demo.c"

void main()
{
TRISD = 0x80;
adc_init();
mdm_init();
mdm_all(0);
unsigned int ADC_READING;
unsigned char ADC_CHANNEL;
while(1)
 {
 	if (bRD7 == 0)
	{

		ADC_CHANNEL = 0;
		ADC_READING = ReadADC (ADC_CHANNEL);
		mdm_write_p (1,(((ADC_READING >> 12) & 0x000f) + '0'));
		mdm_write_p (2,'.');
		mdm_write_p (2,(((ADC_READING >>   8) & 0x000f) + '0'));
		mdm_write_p (3,(((ADC_READING >>   4) & 0x000f) + '0'));
		mdm_write_p (4,(((ADC_READING >>   0) & 0x000f) + '0'));
		mdm_write_p (5,'V');
		Wait(250);
	}

	else
	{
		blink();
		blank();
		show_12345();
		blank();    
		show_ascii(); 
		blank();
		show_hello();
		blank();
	}
 };
}
